unit addEditTest;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfmEditAddTest = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    lbl1: TLabel;
    edt1: TEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmEditAddTest: TfmEditAddTest;

implementation

uses dmu;

{$R *.dfm}

procedure TfmEditAddTest.BitBtn1Click(Sender: TObject);
begin
try
dm.tbl1.Append;
dm.tbl1.FieldByName('Название теста').AsString:=edt1.Text;
dm.tbl1.Post;
edt1.clear;
close;
except
  ShowMessage('Проверьте введенные вами данные!');
end;
end;

procedure TfmEditAddTest.BitBtn2Click(Sender: TObject);
begin
try
dm.tbl1.Edit;
dm.tbl1.FieldByName('Название теста').AsString:=edt1.Text;
dm.tbl1.Post;
edt1.clear;
close;
except
  ShowMessage('Проверьте введенные вами данные!')
end;
end;

end.
